X2Go dev team | 22 Jul 11:14 2013

x2gothinclient.git - wheezy-tce (branch) updated: 1.0.1.8-113-g66935e8

The branch, wheezy-tce has been updated
       via  66935e87846953e87ab2946cf7db8e8a4293fc5a (commit)
      from  0fedd7f92b0ae52b97e5dee43ea559206610bd02 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
-----------------------------------------------------------------------

Summary of changes:
 debian/changelog                                   |    1 +
 .../sbin/x2gothinclient_create                     |    2 ++
 .../sbin/x2gothinclient_upgrade                    |    1 +
 3 files changed, 4 insertions(+)

The diff of changes is:
diff --git a/debian/changelog b/debian/changelog
index d993470..16c7126 100644
--- a/debian/changelog
+++ b/debian/changelog
 <at>  <at>  -66,6 +66,7  <at>  <at>  x2gothinclient (1.0.99.1-0~x2go1) UNRELEASED; urgency=low
     - Fix code that turns absolute symlinks into relative symlink for /vmlinuz
       and /initrd.img.
     - Fix shutdown button failures.
+    - TCE management: Do an apt-get clean after TCE creation/upgrade.
   * /debian/control:
     + Maintainer change in package: X2Go Developers <x2go-dev@...>.
     + Priority: optional.
diff --git a/x2gothinclientmanagement/sbin/x2gothinclient_create b/x2gothinclientmanagement/sbin/x2gothinclient_create
index d2fa78d..faa50ee 100755
--- a/x2gothinclientmanagement/sbin/x2gothinclient_create
+++ b/x2gothinclientmanagement/sbin/x2gothinclient_create
 <at>  <at>  -195,6 +195,8  <at>  <at>  export X2GO_HANDLE_DAEMONS=false
 [ \$? -eq 0 ] && test -e /etc/modprobe.d/i915-kms.conf && sed -s 's/modeset=1/modeset=0/' -i
/etc/modprobe.d/i915-kms.conf || true
 [ \$? -eq 0 ] && test -e /etc/modprobe.d/radeon-kms.conf && sed -s 's/modeset=1/modeset=0/' -i
/etc/modprobe.d/radeon-kms.conf || true

+[ \$? -eq 0 ] && apt-get clean
+
 EOF
 chmod u+x $TC_CHROOT/x2go_tce_install.sh

diff --git a/x2gothinclientmanagement/sbin/x2gothinclient_upgrade b/x2gothinclientmanagement/sbin/x2gothinclient_upgrade
index 16abcc5..d35972a 100755
--- a/x2gothinclientmanagement/sbin/x2gothinclient_upgrade
+++ b/x2gothinclientmanagement/sbin/x2gothinclient_upgrade
 <at>  <at>  -72,6 +72,7  <at>  <at>  export X2GO_HANDLE_DAEMONS=false

 [ \$? -eq 0 ] && apt-get update
 [ \$? -eq 0 ] && apt-get upgrade
+[ \$? -eq 0 ] && apt-get clean

 # check for kernel upgrades
 for symlink in /vmlinuz /vmlinuz.old /initrd.img /initrd.img.old; do

hooks/post-receive

Gmane